# source = $HOME/.config/hypr/mocha.conf

# $accent = $mauve
# $accentAlpha = $mauveAlpha
# $font = JetBrainsMono Nerd Font

# # GENERAL
# general {
#   disable_loading_bar = true
#   hide_cursor = true
# }

# # BACKGROUND
# background {
#   monitor =
#   path = /home/arcadian/Pictures/Wallpaper/dc3f7505-1fd6-41f6-a301-788b5241a327.jpg
#   blur_passes = 0
#   color = $base
# }

# # LAYOUT
# # label {
# #   monitor =
# #   text = Layout: $LAYOUT
# #   color = $text
# #   font_size = 25
# #   font_family = $font
# #   position = 30, -30
# #   halign = left
# #   valign = top
# # }

# # TIME
# label {
#   monitor =
#   text = $TIME
#   color = $text
#   font_size = 90
#   font_family = $font
#   position = -30, 0
#   halign = right
#   valign = top
# }

# # DATE
# label {
#   monitor =
#   text = cmd[update:43200000] date +"%A, %d %B %Y"
#   color = $text
#   font_size = 20
#   font_family = $font
#   position = -30, -150
#   halign = right
#   valign = top
# }

# # USER AVATAR
# # image {
# #   monitor =
# #   path = /home/arcadian/Pictures/Wallpaper/ken-cheung-KonWFWUaAuk-unsplash.jpg
# #   size = 100
# #   border_color = $accent
# #   position = 0, 75
# #   halign = center
# #   valign = center
# # }

# INPUT FIELD
# input-field {
#   monitor =
#   size = 300, 60
#   outline_thickness = 4
#   dots_size = 0.2
#   dots_spacing = 0.2
#   dots_center = true
#   outer_color = $accent
#   inner_color = $surface0
#   font_color = $text
#   fade_on_empty = false
#   placeholder_text = <span foreground="##$textAlpha"><i>󰌾 Logged in as </i><span>
#   foreground="##$accentAlpha">$USER</span></span>
#   hide_input = false
#   check_color = $accent
#   fail_color = $red
#   fail_text = <i>$FAIL <b>($ATTEMPTS)</b></i>
#   capslock_color = $yellow
#   position = 0, -47
#   halign = center
#   valign = center
# }


background {
    monitor =
  path = /home/arcadian/Pictures/Wallpaper/nw9975ixkyqe1.png
# only png supported for now
}

input-field {
    monitor =
    size = 200, 50
    outline_thickness = 3
    dots_size = 0.33 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.15 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    dots_rounding = -1 # -1 default circle, -2 follow input-field rounding
    outer_color = rgb(a6adc8)
    inner_color = rgb(11111b)
    font_color = rgb(a6adc8)
    fade_on_empty = true
    fade_timeout = 1000 # Milliseconds before fade_on_empty is triggered.
    placeholder_text = <i>Input Password...</i> # Text rendered in the input box when it's empty.
    hide_input = false
    rounding = -1 # -1 means complete rounding (circle/oval)
    check_color = rgb(204, 136, 34)
    fail_color = rgb(204, 34, 34) # if authentication failed, changes outer_color and fail message color
    fail_text = <i>$FAIL <b>($ATTEMPTS)</b></i> # can be set to empty
    fail_transition = 100 # transition time in ms between normal outer_color and fail_color
    capslock_color = -1
    numlock_color = -1
    bothlock_color = -1 # when both locks are active. -1 means don't change outer color (same for above)
    invert_numlock = false # change color if numlock is off
    swap_font_color = false # see below
    position = 0, -20
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:1000] echo "$TIME"
    color = rgba(a6adc8)
    font_size = 55
    font_family = JetBrainsMono Nerd Font
    position = -100, 40
    halign = right
    valign = bottom
    shadow_passes = 5
    shadow_size = 10
}

label {
    monitor =
    text = Hello
    color = rgba(a6adc8)
    font_size = 20
    font_family = JetBrainsMono Nerd Font
    position = -100, 160
    halign = right
    valign = bottom
    shadow_passes = 5
    shadow_size = 10
}

# image {
#     monitor =
#     path = ~/.config/assets/backgrounds/cat_pacman.png
#     size = 280 # lesser side if not 1:1 ratio
#     rounding = -1 # negative values mean circle
#     border_size = 4
#     border_color = rgb(a6adc8)
#     rotate = 0 # degrees, counter-clockwise
#     reload_time = -1 # seconds between reloading, 0 to reload with SIGUSR2
# #    reload_cmd =  # command to get new path. if empty, old path will be used. don't run "follow" commands like tail -F
#     position = 0, 200
#     halign = center
#     valign = center
# }